### Virtual Method

# Gtk CellRenderer snapshot

#### Declaration [src]

    void
    snapshot (
      GtkCellRenderer* cell,
      GtkSnapshot* snapshot,
      GtkWidget* widget,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Invokes the virtual render function of the `GtkCellRenderer`. The three passed-in rectangles are areas in `cr`. Most renderers will draw within `cell_area`; the xalign, yalign, xpad, and ypad fields of the `GtkCellRenderer` should be honored with respect to `cell_area`. `background_area` includes the blank space around the cell, and also the area containing the tree expander; so the `background_area` rectangles for all cells tile to cover the entire `window`.

#### Parameters

`snapshot` | `GtkSnapshot`
| A `GtkSnapshot` to draw to.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| The widget owning `window`.
| The data is owned by the caller of the function.
`background_area` | `const GdkRectangle*`
| Entire cell area (including tree expanders and maybe padding on the sides).
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| Area normally rendered by a cell renderer.
| The data is owned by the caller of the function.
`flags` | `GtkCellRendererState`
| Flags that affect rendering.